%define momorel 1
Name: kino
Version: 0.7.1
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Source: http://kino.schirmacher.de/filemanager/download/31/%{name}-%{version}.tar.gz
Patch0: kino-0.7.0-ieee1394.patch
NoSource: 0
URL: http://kino.schirmacher.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libdv libavc1394 libsamplerate
Requires: gtk+ libgnomeui
BuildPreReq: libdv-devel >= 0.102, libavc1394-devel >= 0.4.1
BuildPreReq: libraw1394 >= 0.9.0, libraw1394-devel >= 0.9.0, SDL-devel
BuildPreReq: libsamplerate
BuildPreReq: gtk+-devel >= 2.0 libgnomeui-devel libglade-devel
BuildPreReq: libxml2-devel imlib2-devel audiofile-devel esound-devel
ExcludeArch: alpha alphaev5

Summary: non-linear DV editor for GNU/Linux

%description 
Kino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back to
the camera. It captures video to disk in AVI format in both type-1
DV and type-2 DV (separate audio stream) encodings.

%prep
rm -rf %{buildroot}

%setup -q
#%patch0 -p1 -b .ieee1394~

%build
%configure --with-hotplug-script-dir=%{_sysconfdir}/hotplug/usb --with-hotplug-usermap-dir=%{_sysconfdir}/hotplug/kino
make

%install
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/pixmaps/kino/
cp pixmaps/kino.jpeg %{buildroot}%{_datadir}/pixmaps/kino/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README README_XV README_jogshuttle TODO
%{_bindir}/kino
%{_mandir}/man1/kino.1*
%dir %{_datadir}/pixmaps/kino
%{_datadir}/%{name}
%{_datadir}/pixmaps/kino/*.jpeg
%{_includedir}/%{name}
%{_sysconfdir}/hotplug/usb/*
%{_sysconfdir}/hotplug/kino

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.1-1m)
- update to 0.7.1
- rebuild against libdv-0.102

* Sat Dec 20 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.0-1m)
- version 0.7.0
- gtk2 port

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.4-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Feb 22 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.4-1m)
  update to 0.6.4

* Fri Jan 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-2m)
- update BuildPreReq: libdv-devel >= 0.98

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-1m)
- rebuild against for libavc1394 and libraw1394
- version up to 0.6-1
- comment out patch1
- comment out patch2
- comment out patch3
- add BuildPreReq: gcc-c++ >= 3.2-8m
  for avoid gcc bug when compile framedisplayer.cc

* Sun Nov 17 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.5-6m)
- add kino-0.5-nls.patch to work around the compilation error

* Fri Sep 27 2002 kourin <kourin@fh.freeserve.ne.jp>
- (0.5-5m)
- change Source0 uri.

* Mon Apr 15 2002 Toru Hoshina <t@kondara.org>
- (0.5-4k)
- make dekimase-nu (T_T)

* Thu Mar 21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.5-2k)
- write kondara spec file
- add patch for ieee1394
 
